using Muzzle.Class;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;

namespace Muzzle
{
    /// <summary>
    /// Логика взаимодействия для Update.xaml
    /// </summary>
    public partial class Update : Window
    {
        public static class Products
        {
            public static Frame frm;
        }
        public Update(int idProduct)
        {
            InitializeComponent();
            Product products = BaseConnect.baseConnect.Product.FirstOrDefault(x => x.ID == idProduct); //Изменили Where на FirstOrDefault для того, чтобы выбирать не все записи из таблицы, а конкретный продукт
            List<ProductType> productsType = BaseConnect.baseConnect.ProductType.ToList();
            Art.Text = products.ArticleNumber; //Считывание пОля из таблицы (вывод данных в поле в макете) 
            Title.Text = products.Title;
            TipeProduct.ItemsSource = BaseConnect.baseConnect.ProductType.ToList();//создали лист с типами продуктов

            TipeProduct.DisplayMemberPath = "Title";// 
            TipeProduct.SelectedValuePath = "ID";
            TipeProduct.SelectedValue = products.ProductTypeID;//вывод на ComboBox название типа продукта который выбран

            Kol.Text = products.ProductionPersonCount.ToString();
            Number.Text = products.ProductionWorkshopNumber.ToString();
            CostMin.Text = products.MinCostForAgent.ToString();
            Opis.Text = products.Description;
        }
        private void btnNaz_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
